Get the name of the type as a string

- « ReflectionNamedType

- ReflectionNamedType::isBuiltin »

- PHP Manual
- ReflectionNamedType
- Get the name of the type as a string

# ReflectionNamedType::getName

(PHP 7 >= 7.1.0, PHP 8)

ReflectionNamedType::getName — Get the name of the type as a string

### Description

public ReflectionNamedType::getName(): string

### Parameters

This function has no parameters.

### Return Values

Returns the name of the type being reflected.

### See Also

- ReflectionType::__toString() - To string